wxGridCellDateRenderer Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxGridCellDateRenderer Class Reference
Class List by Category » Grid Related Classes

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/grid.h>`

Inheritance diagram for wxGridCellDateRenderer:
[legend]

## Detailed Description

This class may be used to show a date, without time, in a cell.

See wxGridCellDateTimeRenderer for a date/time version. wxDateTime::Format() is used internally to render the date representation. wxDateTime::ParseDate() is used to parse the string data entered in the cell.

##

Library: wxCore
Category: Grid Related Classes

See also
  wxGridCellRenderer, wxGridCellAutoWrapStringRenderer, wxGridCellBoolRenderer, wxGridCellEnumRenderer, wxGridCellFloatRenderer, wxGridCellNumberRenderer, wxGridCellStringRenderer, wxGridCellDateTimeRenderer

Since
  3.1.3

## Public Member Functions
| wxGridCellDateRenderer (const wxString &outformat=wxString())
| Date renderer constructor.
virtual void | SetParameters (const wxString &params)
| Sets the strftime()-like format string which will be used to render the date.
Public Member Functions inherited from wxGridCellStringRenderer
| wxGridCellStringRenderer ()
| Default constructor.
Public Member Functions inherited from wxGridCellRenderer
| wxGridCellRenderer ()
virtual wxGridCellRenderer * | Clone () const =0
| This function must be implemented in derived classes to return a copy of itself.
virtual void | Draw (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, const wxRect &rect, int row, int col, bool isSelected)=0
| Draw the given cell on the provided DC inside the given rectangle using the style specified by the attribute and the default or selected state corresponding to the isSelected value.
virtual wxSize | GetBestSize (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, int row, int col)=0
| Get the preferred size of the cell for its contents.
virtual int | GetBestHeight (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, int row, int col, int width)
| Get the preferred height of the cell at the given width.
virtual int | GetBestWidth (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, int row, int col, int height)
| Get the preferred width of the cell at the given height.
virtual wxSize | GetMaxBestSize (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc)
| Get the maximum possible size for a cell using this renderer, if possible.
Public Member Functions inherited from wxSharedClientDataContainer
void * | GetClientData () const
| Get the untyped client data.
wxClientData * | GetClientObject () const
| Get a pointer to the client data object.
void | SetClientData (void *data)
| Set the untyped client data.
void | SetClientObject (wxClientData *data)
| Set the client data object.
Public Member Functions inherited from wxRefCounter
| wxRefCounter ()
| Default constructor.
void | DecRef ()
| Decrements the reference count associated with this shared data and, if it reaches zero, destroys this instance of wxRefCounter releasing its memory.
int | GetRefCount () const
| Returns the reference count associated with this shared data.
void | IncRef ()
| Increments the reference count associated with this shared data.

## Additional Inherited Members
Protected Member Functions inherited from wxGridCellRenderer
void | SetTextColoursAndFont (const wxGrid &grid, const wxGridCellAttr &attr, wxDC &dc, bool isSelected)
| Helper function setting the correct colours and font.
virtual | ~wxGridCellRenderer ()
| The destructor is private because only DecRef() can delete us.
Protected Member Functions inherited from wxRefCounter
virtual | ~wxRefCounter ()
| Destructor.

## Constructor & Destructor Documentation

## ◆ wxGridCellDateRenderer()

wxGridCellDateRenderer::wxGridCellDateRenderer | ( | const wxString & | outformat = wxString() | ) |

Date renderer constructor.

Parameters

  outformat | strftime()-like format string used to render the output date. By default (or if provided format string is empty) localized date representation ("%x") is used.

## Member Function Documentation

## ◆ SetParameters()

virtual void wxGridCellDateRenderer::SetParameters | ( | const wxString & | params | ) |
| virtual

Sets the strftime()-like format string which will be used to render the date.

Parameters

  params | strftime()-like format string used to render the date.